Hivebrowser

浏览器档案

管理持久化浏览器状态 — cookies、本地存储与登录会话。

适用状态必须持久化

登录态或客户级浏览器上下文需要跨会话保留时,附加浏览器档案。

范围按账号或工作流拆分

不要让无关任务共享同一份档案;隔离能让恢复和权限更清楚。

安全解锁属于恢复动作

普通会话会自动同步。手动 blob 和锁操作属于高级路径。

API 使用边界:先按账号、客户或工作流拆分档案;普通会话负责自动同步下载和写回;手动 blob、写锁和解锁属于迁移、备份或异常恢复路径,不是常规会话流程。

列出浏览器档案

GET/v1/profiles查看接口细节收起接口细节
GET/v1/profiles

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

cURL
curl -X GET "https://api.hivebrowser.ai/v1/profiles" \  -H "Authorization: Bearer <token>"
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles", {  headers: {    "Authorization": "Bearer <token>"  }});
响应 200

浏览器档案列表

响应示例
{
  "data": {
    "items": [
      {
        "id": "string",
        "teamId": "string",
        "name": "string",
        "description": "string",
        "mode": "READ_ONLY",
        "status": "READY",
        "fingerprintConfig": {
          "property1": null,
          "property2": null
        },
        "proxyConfig": {
          "server": "string",
          "username": "string",
          "password": "string",
          "bypass": [
            "string"
          ]
        },
        "generatorProfileConfig": {
          "os": "string",
          "user_agent": "string",
          "webgl_vendor": "string",
          "webgl_renderer": "string",
          "languages": "string",
          "language_mode": "string",
          "timezone_mode": "string",
          "timezone": "string",
          "geolocation_mode": "string",
          "geolocation_latitude": 0,
          "geolocation_longitude": 0,
          "geolocation_accuracy": 0,
          "webrtc_mode": "string",
          "google_services_enabled": true,
          "fonts_masking": true,
          "media_devices_masking": true,
          "video_inputs": 0,
          "audio_inputs": 0,
          "audio_outputs": 0,
          "canvas_mode": "string",
          "client_rects_mode": "string",
          "audio_context_mode": "string",
          "webgl_image_mode": "string",
          "webgl_meta_mode": "string",
          "cpu_threads": 1,
          "ram": 1,
          "screen_resolution": "string",
          "proxy_type": "string",
          "proxy_host": "string",
          "proxy_port": "string",
          "proxy_user": "string",
          "proxy_pass": "string"
        },
        "latestStorageKey": "string",
        "latestVersion": 0,
        "latestBlobSizeBytes": "string",
        "lockedBySessionId": "string",
        "lockMode": "string",
        "lockAcquiredAt": "string",
        "lastUsedAt": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "total": 0,
    "page": 1,
    "pageSize": 0
  }
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}

创建浏览器档案

POST/v1/profiles查看接口细节收起接口细节
POST/v1/profiles

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

请求体

application/json必填
name必填字符串

浏览器档案显示名称

最小长度: 1最大长度: 120
description字符串

可选档案描述

最大长度: 500
mode字符串

默认访问模式

默认: "READ_ONLY"可选值: "READ_ONLY" | "READ_WRITE"
fingerprintConfig对象

原始指纹配置

查看属性
[key: string]unknown
proxyConfig对象

此浏览器档案的代理配置

查看属性
server必填字符串

代理服务器 URL(例如 http://proxy.example.com:8080)

最小长度: 1
username字符串

代理鉴权用户名

最小长度: 1
password字符串

代理鉴权密码

最小长度: 1
bypass数组<字符串>

不走代理的主机列表

generatorProfileConfig对象

指纹生成配置

查看属性
os字符串

指纹使用的操作系统

user_agent字符串

自定义 User-Agent 字符串

webgl_vendor字符串

WebGL 厂商字符串

webgl_renderer字符串

WebGL 渲染器字符串

languages字符串 | 数组<字符串>

浏览器语言

查看属性
element数组<字符串>
language_mode字符串
timezone_mode字符串
timezone字符串

IANA 时区标识符

geolocation_mode字符串
geolocation_latitude数字
geolocation_longitude数字
geolocation_accuracy整数
最小值: 0
webrtc_mode字符串
google_services_enabled布尔值
fonts_masking布尔值
media_devices_masking布尔值
video_inputs整数
最小值: 0
audio_inputs整数
最小值: 0
audio_outputs整数
最小值: 0
canvas_mode字符串
client_rects_mode字符串
audio_context_mode字符串
webgl_image_mode字符串
webgl_meta_mode字符串
cpu_threads整数
最小值: 1
ram整数
最小值: 1
screen_resolution字符串
proxy_type字符串
proxy_host字符串
proxy_port字符串 | 整数
proxy_user字符串
proxy_pass字符串
[key: string]any
seedState对象

初始档案状态(cookies、localStorage 等)

查看属性
[key: string]unknown
cURL
curl -X POST "https://api.hivebrowser.ai/v1/profiles" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "mode": "READ_ONLY",    "fingerprintConfig": {      "property1": null,      "property2": null    },    "proxyConfig": {      "server": "string",      "username": "string",      "password": "string",      "bypass": [        "string"      ]    },    "generatorProfileConfig": {      "os": "string",      "user_agent": "string",      "webgl_vendor": "string",      "webgl_renderer": "string",      "languages": "string",      "language_mode": "string",      "timezone_mode": "string",      "timezone": "string",      "geolocation_mode": "string",      "geolocation_latitude": 0,      "geolocation_longitude": 0,      "geolocation_accuracy": 0,      "webrtc_mode": "string",      "google_services_enabled": true,      "fonts_masking": true,      "media_devices_masking": true,      "video_inputs": 0,      "audio_inputs": 0,      "audio_outputs": 0,      "canvas_mode": "string",      "client_rects_mode": "string",      "audio_context_mode": "string",      "webgl_image_mode": "string",      "webgl_meta_mode": "string",      "cpu_threads": 1,      "ram": 1,      "screen_resolution": "string",      "proxy_type": "string",      "proxy_host": "string",      "proxy_port": "string",      "proxy_user": "string",      "proxy_pass": "string"    },    "seedState": {      "property1": null,      "property2": null    }  }'
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles", {  headers: {    "Authorization": "Bearer <token>"  },  body: JSON.stringify({    "name": "string",    "description": "string",    "mode": "READ_ONLY",    "fingerprintConfig": {      "property1": null,      "property2": null    },    "proxyConfig": {      "server": "string",      "username": "string",      "password": "string",      "bypass": [        "string"      ]    },    "generatorProfileConfig": {      "os": "string",      "user_agent": "string",      "webgl_vendor": "string",      "webgl_renderer": "string",      "languages": "string",      "language_mode": "string",      "timezone_mode": "string",      "timezone": "string",      "geolocation_mode": "string",      "geolocation_latitude": 0,      "geolocation_longitude": 0,      "geolocation_accuracy": 0,      "webrtc_mode": "string",      "google_services_enabled": true,      "fonts_masking": true,      "media_devices_masking": true,      "video_inputs": 0,      "audio_inputs": 0,      "audio_outputs": 0,      "canvas_mode": "string",      "client_rects_mode": "string",      "audio_context_mode": "string",      "webgl_image_mode": "string",      "webgl_meta_mode": "string",      "cpu_threads": 1,      "ram": 1,      "screen_resolution": "string",      "proxy_type": "string",      "proxy_host": "string",      "proxy_port": "string",      "proxy_user": "string",      "proxy_pass": "string"    },    "seedState": {      "property1": null,      "property2": null    }  })});
响应 201

浏览器档案已创建

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "latestBlobState": {},
    "recentVersions": [
      {
        "id": "string",
        "teamId": "string",
        "profileId": "string",
        "version": 1,
        "objectKey": "string",
        "sizeBytes": "string",
        "checksum": "string",
        "createdBySessionId": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
响应 400

请求载荷无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 429

浏览器档案配额已超出

响应示例
{
  "error": "string",
  "message": "string"
}

查询浏览器档案

GET/v1/profiles/{id}查看接口细节收起接口细节
GET/v1/profiles/{id}

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X GET "https://api.hivebrowser.ai/v1/profiles/string" \  -H "Authorization: Bearer <token>"
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string", {  headers: {    "Authorization": "Bearer <token>"  }});
响应 200

浏览器档案详情

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "latestBlobState": {},
    "recentVersions": [
      {
        "id": "string",
        "teamId": "string",
        "profileId": "string",
        "version": 1,
        "objectKey": "string",
        "sizeBytes": "string",
        "checksum": "string",
        "createdBySessionId": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}

删除浏览器档案

DELETE/v1/profiles/{id}查看接口细节收起接口细节
DELETE/v1/profiles/{id}

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X DELETE "https://api.hivebrowser.ai/v1/profiles/string" \  -H "Authorization: Bearer <token>"
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string", {  headers: {    "Authorization": "Bearer <token>"  }});
响应 204

浏览器档案已删除

响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}
响应 409

浏览器档案已锁定或正在使用

响应示例
{
  "error": "string",
  "message": "string"
}

持久化浏览器档案 Blob

POST/v1/profiles/{id}/blob查看接口细节收起接口细节
POST/v1/profiles/{id}/blob

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

请求体

application/json必填
state必填对象

要持久化的浏览器档案状态数据

查看属性
[key: string]unknown
sourceSessionId字符串

产生此状态的会话

最小长度: 1

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X POST "https://api.hivebrowser.ai/v1/profiles/string/blob" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "state": {      "property1": null,      "property2": null    },    "sourceSessionId": "string"  }'
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string/blob", {  headers: {    "Authorization": "Bearer <token>"  },  body: JSON.stringify({    "state": {      "property1": null,      "property2": null    },    "sourceSessionId": "string"  })});
响应 200

浏览器档案 Blob 已持久化

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
响应 400

请求载荷无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}
响应 409

Blob 持久化冲突

响应示例
{
  "error": "string",
  "message": "string"
}

更新生成器配置

POST/v1/profiles/{id}/generator-config查看接口细节收起接口细节
POST/v1/profiles/{id}/generator-config

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

请求体

application/json必填
generatorProfileConfig必填对象

新的生成器配置;传 null 表示清空

查看属性
os字符串

指纹使用的操作系统

user_agent字符串

自定义 User-Agent 字符串

webgl_vendor字符串

WebGL 厂商字符串

webgl_renderer字符串

WebGL 渲染器字符串

languages字符串 | 数组<字符串>

浏览器语言

查看属性
element数组<字符串>
language_mode字符串
timezone_mode字符串
timezone字符串

IANA 时区标识符

geolocation_mode字符串
geolocation_latitude数字
geolocation_longitude数字
geolocation_accuracy整数
最小值: 0
webrtc_mode字符串
google_services_enabled布尔值
fonts_masking布尔值
media_devices_masking布尔值
video_inputs整数
最小值: 0
audio_inputs整数
最小值: 0
audio_outputs整数
最小值: 0
canvas_mode字符串
client_rects_mode字符串
audio_context_mode字符串
webgl_image_mode字符串
webgl_meta_mode字符串
cpu_threads整数
最小值: 1
ram整数
最小值: 1
screen_resolution字符串
proxy_type字符串
proxy_host字符串
proxy_port字符串 | 整数
proxy_user字符串
proxy_pass字符串
[key: string]any

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X POST "https://api.hivebrowser.ai/v1/profiles/string/generator-config" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "generatorProfileConfig": {      "os": "string",      "user_agent": "string",      "webgl_vendor": "string",      "webgl_renderer": "string",      "languages": "string",      "language_mode": "string",      "timezone_mode": "string",      "timezone": "string",      "geolocation_mode": "string",      "geolocation_latitude": 0,      "geolocation_longitude": 0,      "geolocation_accuracy": 0,      "webrtc_mode": "string",      "google_services_enabled": true,      "fonts_masking": true,      "media_devices_masking": true,      "video_inputs": 0,      "audio_inputs": 0,      "audio_outputs": 0,      "canvas_mode": "string",      "client_rects_mode": "string",      "audio_context_mode": "string",      "webgl_image_mode": "string",      "webgl_meta_mode": "string",      "cpu_threads": 1,      "ram": 1,      "screen_resolution": "string",      "proxy_type": "string",      "proxy_host": "string",      "proxy_port": "string",      "proxy_user": "string",      "proxy_pass": "string"    }  }'
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string/generator-config", {  headers: {    "Authorization": "Bearer <token>"  },  body: JSON.stringify({    "generatorProfileConfig": {      "os": "string",      "user_agent": "string",      "webgl_vendor": "string",      "webgl_renderer": "string",      "languages": "string",      "language_mode": "string",      "timezone_mode": "string",      "timezone": "string",      "geolocation_mode": "string",      "geolocation_latitude": 0,      "geolocation_longitude": 0,      "geolocation_accuracy": 0,      "webrtc_mode": "string",      "google_services_enabled": true,      "fonts_masking": true,      "media_devices_masking": true,      "video_inputs": 0,      "audio_inputs": 0,      "audio_outputs": 0,      "canvas_mode": "string",      "client_rects_mode": "string",      "audio_context_mode": "string",      "webgl_image_mode": "string",      "webgl_meta_mode": "string",      "cpu_threads": 1,      "ram": 1,      "screen_resolution": "string",      "proxy_type": "string",      "proxy_host": "string",      "proxy_port": "string",      "proxy_user": "string",      "proxy_pass": "string"    }  })});
响应 200

生成器配置已更新

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
响应 400

请求载荷无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}

获取写锁

POST/v1/profiles/{id}/locks/write查看接口细节收起接口细节
POST/v1/profiles/{id}/locks/write

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

请求体

application/json必填
sessionId必填字符串

请求写锁的会话 ID

最小长度: 1

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X POST "https://api.hivebrowser.ai/v1/profiles/string/locks/write" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "sessionId": "string"  }'
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string/locks/write", {  headers: {    "Authorization": "Bearer <token>"  },  body: JSON.stringify({    "sessionId": "string"  })});
响应 200

写锁已获取

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
响应 400

请求载荷无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}
响应 409

浏览器档案已被锁定

响应示例
{
  "error": "string",
  "message": "string"
}

释放写锁

POST/v1/profiles/{id}/unlock查看接口细节收起接口细节
POST/v1/profiles/{id}/unlock

鉴权

Authorization必填Bearer <token>

在 Authorization 请求头中以 Bearer 令牌形式传入 API 密钥。

位置:header

x-hivebrowser-api-key<token>

也可以直接通过 x-hivebrowser-api-key 请求头传入 API 密钥。

位置:header

请求体

application/json必填
sessionId必填字符串

请求写锁的会话 ID

最小长度: 1

路径参数

id必填字符串

浏览器档案 ID

cURL
curl -X POST "https://api.hivebrowser.ai/v1/profiles/string/unlock" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "sessionId": "string"  }'
JavaScript
fetch("https://api.hivebrowser.ai/v1/profiles/string/unlock", {  headers: {    "Authorization": "Bearer <token>"  },  body: JSON.stringify({    "sessionId": "string"  })});
响应 200

写锁已释放

响应示例
{
  "data": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "description": "string",
    "mode": "READ_ONLY",
    "status": "READY",
    "fingerprintConfig": {
      "property1": null,
      "property2": null
    },
    "proxyConfig": {
      "server": "string",
      "username": "string",
      "password": "string",
      "bypass": [
        "string"
      ]
    },
    "generatorProfileConfig": {
      "os": "string",
      "user_agent": "string",
      "webgl_vendor": "string",
      "webgl_renderer": "string",
      "languages": "string",
      "language_mode": "string",
      "timezone_mode": "string",
      "timezone": "string",
      "geolocation_mode": "string",
      "geolocation_latitude": 0,
      "geolocation_longitude": 0,
      "geolocation_accuracy": 0,
      "webrtc_mode": "string",
      "google_services_enabled": true,
      "fonts_masking": true,
      "media_devices_masking": true,
      "video_inputs": 0,
      "audio_inputs": 0,
      "audio_outputs": 0,
      "canvas_mode": "string",
      "client_rects_mode": "string",
      "audio_context_mode": "string",
      "webgl_image_mode": "string",
      "webgl_meta_mode": "string",
      "cpu_threads": 1,
      "ram": 1,
      "screen_resolution": "string",
      "proxy_type": "string",
      "proxy_host": "string",
      "proxy_port": "string",
      "proxy_user": "string",
      "proxy_pass": "string"
    },
    "latestStorageKey": "string",
    "latestVersion": 0,
    "latestBlobSizeBytes": "string",
    "lockedBySessionId": "string",
    "lockMode": "string",
    "lockAcquiredAt": "string",
    "lastUsedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
响应 400

请求载荷无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 401

API 密钥缺失或无效

响应示例
{
  "error": "string",
  "message": "string"
}
响应 404

资源不存在

响应示例
{
  "error": "string",
  "message": "string"
}